=== examples-c/puf/Makefile ===

all:
	caduceus -why-opt -split-user-conj parray.c puf.c
	make -f parray.makefile gui
