=== examples-c/trees/Makefile ===

all:
	../../bin/caduceus.opt -why-opt -split-user-conj search.c
	make -f search.makefile gui
