=== debian/changelog ===
why (2.34-4ubuntu4) xenial; urgency=medium

  * Disable the why+coq autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2016 16:34:34 +0100

why (2.34-4ubuntu3) xenial; urgency=medium

  * Drop build dependency on libfloat-coq, not buildable with the
    the current coq.
  * why still fails to build, so drop the the libwhy-coq binary
    and coq build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2016 15:36:48 +0100

why (2.34-4ubuntu2) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 12:07:26 +0000

why (2.34-4ubuntu1) xenial; urgency=medium

  * Rebase on Debian, remaining change:
    + debian/tests/control: Disable frama-c+jessie+alt-ergo test, since we
      don't have a jessie plugin currently (until we get 'why3')

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 12:12:10 +0000

why (2.34-4) unstable; urgency=medium

  [ Ralf Treinen ]
  * improve as-installed package tests

  [ Mehdi Dogguy ]
  * Fix FTBFS with OCaml 4.02.3 by:
    - not using Format.bprintf anymore
    - not turning warning 3 into an error
  * Port Why to ocamlgraph 1.8.6

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 01:12:21 +0200

why (2.34-2) unstable; urgency=medium

  * Team upload
  * Recompile with coq 8.4pl4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 Aug 2014 09:34:24 +0200

why (2.34-1) unstable; urgency=low

  * New upstream release.
  * Drop deprecated patches:
    - deprecated-or
    - hashtbl
    - frama-c-versions
  * Bump build-dependency on frama-c to version 20140301+neon+dfsg.
  * Fix debian/tests/frama-c+jessie+alt-ergo:
    - run why-config when there is no ${HOME}/.whyrc
    - drop the specification of cpp-4.7 as this is no longer needed, and
      the dependency of that test on cpp-4.7
  
 -- Ralf Treinen <treinen@debian.org>  Tue, 29 Apr 2014 20:56:03 +0200

why (2.33-2) unstable; urgency=low

  * fixed typo in debian/tests/control (dependency of frama-c+jessie+alt-ergo)

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 Feb 2014 08:40:19 +0100

why (2.33-1) unstable; urgency=low

  * New upstream release. This fixes an issue with compilation under
    ocaml-4.01 (closes: #707585).
  * Bump build-dependency on frama-c-base to the latest version 
    (closes: #730526)
  * Drop patches adopted or otherwise fixed by upstream:
    - 0001-Why-2.29-do-support-Coq-8.3.patch
    - 0002-Mark-alt-ergo-0.93-as-compatible.patch
    - 0003-Fix-non-exhaustive-pattern-matching-in-jc_annot_infe.patch
    - 0004-Default-to-why2-for-jessie-atp.patch
    - 0005-Fix-Jc_annot_inference-use-old_reg_pos.patch
    - 0006-Fix-spelling-error-in-binary.patch
    - 0007-Replace-caduceus-invocation-by-Frama-C.patch
  * New patch deprecated-or to replace "or" by "||", needed for more strict
    checks in ocaml 4
  * New patch hashtbl to fix compilation with ocaml 4.01, taken from fedora.
  * New patch atp-versions: update accepted versions of external provers:
    alt-ergo, coq
  * New patch frama-c-versions: update accepted version of frama-c
  * Add myself to uploaders.
  * Standards-Version 3.9.5 (no change)
  * Add DEP8-style package tests 
    - why with alt-ergo
    - why with cvc3
    - why with coq (thanks to Pierre Letouzey for his help!)
    - frama-c, jessie plugin (from the why package), and alt-ergo
  * Add to the Recommendation of package alt-ergo alternatives on other
    theorem provers: cvc3, coq

 -- Ralf Treinen <treinen@debian.org>  Tue, 04 Feb 2014 12:33:02 +0100
