=== debian/tests/control ===
Tests: why+alt-ergo
Depends: why, alt-ergo

Tests: why+cvc3
Depends: why, cvc3

#Tests: why+coq
#Depends: why, libwhy-coq, coq

#Tests: frama-c+jessie+alt-ergo
#Depends: why, frama-c-base, alt-ergo
