=== debian/watch ===
version=3

opts="dversionmangle=s/\.dfsg[\.0-9]*$//" \
http://why.lri.fr/download/why-([0-9a-z\.]*)\.tar\.gz
