## why 2.36

=== frama-c-plugin/Makefile ===
--- 
+++ 
@@ -27,11 +27,12 @@
 
 # Do not use ?= to initialize both below variables
 # (fixed efficiency issue, see GNU Make manual, Section 8.11)
+FRAMAC ?= frama-c
 ifndef FRAMAC_SHARE
-FRAMAC_SHARE  :=$(shell frama-c -journal-disable -print-path)
+FRAMAC_SHARE  := $(shell $(FRAMAC) -journal-disable -print-path)
 endif
 ifndef FRAMAC_LIBDIR
-FRAMAC_LIBDIR :=$(shell frama-c -journal-disable -print-libpath)
+FRAMAC_LIBDIR := $(shell $(FRAMAC) -journal-disable -print-libpath)
 endif
 
 PLUGIN_DIR      ?= .
@@ -62,10 +63,10 @@
 	$(MAKE) -C $(dir $<) -j 1 all-without-frama-c-plugin
 
 $(WHY_DISTRIB)/depend: $(WHY_DISTRIB)/Makefile
-	$(MAKE) -C $(dir $@) -j 1 depend FRAMAC=no
+	$(MAKE) -C $(dir $@) -j 1 depend FRAMACPLUGIN=no
 
 $(WHY_DISTRIB)/clean:
-	$(MAKE) -C $(dir $@) -j 1 clean
+	$(MAKE) -C $(dir $@) -j 1 clean FRAMACPLUGIN=no
 
 $(PLUGIN_DIR)/.depend: $(WHY_DISTRIB)/.depend
 
@@ -93,7 +94,7 @@
 	cd $(dir $@) && ./config.status
 
 $(WHY_DISTRIB)/.depend: $(WHY_DISTRIB)/Makefile
-	$(MAKE) -C $(dir $@) -j 1 .depend FRAMAC=no
+	$(MAKE) -C $(dir $@) -j 1 .depend FRAMACPLUGIN=no
 
 $(WHY_DISTRIB)/config.status: $(WHY_DISTRIB)/configure
 	if test -e $(dir $@)/config.status; then \
