## why 2.39

=== doc/Makefile ===
--- 
+++ 
@@ -54,8 +54,8 @@
 why_frama_c2-mps.pdf: why_frama_c2.mps
 	mptopdf why_frama_c2.mps 
 
-why_frama_c2-mps.png: why_frama_c2-mps.pdf
-	pdftoppm -r 150 why_frama_c2-mps.pdf | pnmtopng -transparent white > why_frama_c2-mps.png
+# why_frama_c2-mps.png: why_frama_c2-mps.pdf
+# 	pdftoppm -r 150 why_frama_c2-mps.pdf | pnmtopng -transparent white > why_frama_c2-mps.png
 
 dep.ps:
 	(cd ../src; ocamldep *.ml* | ocamldot | dot -Tps) > dep.ps
