=== frama-c-plugin/Makefile ===
--- 
+++ 
@@ -45,8 +45,8 @@
 PLUGIN_CMO:= jessie_config jessie_options jessie_integer common rewrite \
              norm retype interp register
 PLUGIN_HAS_MLI:=yes
-PLUGIN_BFLAGS:=$(JESSIE_INCLUDES)
-PLUGIN_OFLAGS:=$(JESSIE_INCLUDES)
+PLUGIN_BFLAGS:=-w Aer-3-6-41-44-45-48-50-52-57 $(JESSIE_INCLUDES)
+PLUGIN_OFLAGS:=-w Aer-3-6-41-44-45-48-50-52-57 $(JESSIE_INCLUDES)
 PLUGIN_EXTRA_BYTE+=$(JCCMO)
 PLUGIN_EXTRA_OPT+=$(JCCMX)
 #PLUGIN_DEPFLAGS:=$(JESSIE_INCLUDES)
@@ -84,8 +84,8 @@
 
 $(PLUGIN_DIR)/interp.cmx: $(PLUGIN_DIR)/interp.cmi $(WHY_DISTRIB)/jc/jc.cmx
 
-$(WHY_DISTRIB)/jc/jc.cmo: $(WHY_DISTRIB)/jc/jc.cmi
-$(WHY_DISTRIB)/jc/jc.cmx: $(WHY_DISTRIB)/jc/jc.cmi
+# $(WHY_DISTRIB)/jc/jc.cmo: $(WHY_DISTRIB)/jc/jc.cmi
+# $(WHY_DISTRIB)/jc/jc.cmx: $(WHY_DISTRIB)/jc/jc.cmi
 
 $(PLUGIN_DIR)/jessie_config.ml:
 	echo "let jessie_local = false" > $@
