=== debian/changelog ===
why (2.39-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:44:41 +0200

why (2.39-2) unstable; urgency=medium

  * update Architecture list (closes: #875569)
    - changes due to ocaml 4.05: -armel +ppc64el +s390x
    - drop obsolete lpia
  * Standards-Version 4.1.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 12 Oct 2017 08:25:52 +0200

why (2.39-1) unstable; urgency=medium

  * New upstream version (closes: #872281)
  * Bumped build-dependency on frama-c-base to 20170501+phosphorus+dfsg
  * debian/copyright:
    - migrate to machine-readable format 1.0
    - fix upstream contact (Claude Marché)
  * Standards-Version 4.0.1 (no change)
  * Dropped build-dep on autotools-dev, which is obsolete with DH level 10.

 -- Ralf Treinen <treinen@debian.org>  Wed, 06 Sep 2017 21:34:58 +0200

why (2.38-1) unstable; urgency=medium

  * New upstream version (closes: #858366)
    - refreshed patches bprintf, edge
    - dropped hunks of patch reproducible_build that have been applied
      by upstream.
  * Bump build-dependency on frama-c-base to 20161101+silicon+dfsg
  * debian/why.install: install Jessie.o
  * Restrict Architecture of the why package to architectures having a
    native-code compiler for ocaml, since upstream ceased to maintain
    the why package for bytecode-only architectures.

 -- Ralf Treinen <treinen@debian.org>  Mon, 24 Apr 2017 08:25:31 +0200

why (2.36-5) unstable; urgency=medium

  * debian/rules: set FRAMADIR

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Dec 2016 13:13:18 +0100

why (2.36-4) unstable; urgency=medium

  * package tests: use /tmp when $ADT_ARTEFACTS is not set.
  * debian/rules: use $FRAMAVER variable when creating the META file

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Dec 2016 12:02:13 +0100

why (2.36-3) unstable; urgency=medium

  * drop build-dependency on liblablgtk2-ocaml-dev
  * stop using libapron, as advised by upstream:
    - drop build-dependency libapron-ocaml-dev
    - drop option enable-apron from ./configure invocation
  * generate frama-c-plugin/META.frama-c-jessie in debian/rules when it
    has not been generated by frama-c, which for some unknown reason
    happens on non-native architectures (closes: #844777).

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 Dec 2016 19:22:16 +0100

why (2.36-2) unstable; urgency=medium

  * dh invocation: use --no-parallel to fix FTBFS issues
  * jessie manpage: fix synopsis

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Oct 2016 21:33:30 +0200

why (2.36-1) unstable; urgency=medium

  * New upstream release. This version compiles with coq 8.5
    and drops the gwhy binary (Closes: #440469).
    - refreshed patches bprintf and edge
    - dropped patch makefile as ocaml warning options are now set
      by configure
    - dropped patch atp-versions which is now obsolete
  * Due to disappearance of the why binary:
    - drop why-cpulimit manpage since this binary is no longer build:
      (files d/why-cpulimit.1 and d/why.manpages)
    - remove d/why.links as upstream does not ship the why manpage any more
    - add build-dependency on why3 and why3-coq
    - package why: add dependency on why3
    - d/tests/frama-c+jessie+alt-ergo: adapt to why3
    - package why: remove Recommends of SMT solvers
    - remove tests why+{alt-ergo,coq,cvc3}
    - rewrite package description
    - add why.NEWS entry about the transition to why3
  * Due to disappearance of doc/manual.ps and ocamlgraph/ from upstream:
    - remove d/purify-source
    - drop filter from d/gbp.conf
  * Due to disappearance of examples from upstream: don't build binary
    package why-examples
  * Patch reproducible_build: remove timestamps (closes: #807051).
    Thanks to Valentin Lorentz for the patch!
  * debian/control:
    - Dropped build-dependency on libfloat-coq (closes: #815684)
    - Bumped build-dependency on frama-c to magnesium.
    - Standards-Version 3.9.8 (no change)
    - d/control remove redundant XS-Testsuite field
    - Vcs-{Browser,Git}: use secure URI
  * debian/watch:
    - format version 4
    - get link to newest version from the krakatoa home page (instead of
      trying to read the download/ directory).
  * debhelper-compatibility level 10:
    - bump value in d/compat
    - build-depends on debhelper (>=10)
    - invocation of dh in d/rules: sequence argument before options
  * update homepage to krakatoa.lri.fr 
  * create manpages, based on the output of help2man, for jessie and krakatoa
  * drop autoconf from d/rules and from build-dependencies
  * d/rules: disable upstream tests
  * d/rules: create bin directory before invoking dh_auto_build
  * d/tests: add test krakato+alt-ergo
  * remove d/README.source which is obsolete.

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Oct 2016 21:28:06 +0200
