=== debian/control ===
Source: why
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>,
  Ralf Treinen <treinen@debian.org>
Build-Depends:
  debhelper (>= 10),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  camlp4,
  coq (>= 8.3~),
  libocamlgraph-ocaml-dev (>= 1.4~),
  frama-c-base (>= 20170501+phosphorus+dfsg),
  camlidl,
  why3, why3-coq
Standards-Version: 4.1.1
Homepage: http://krakatoa.lri.fr/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/why.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/why.git

Package: why
Architecture: amd64 arm64 armhf hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 powerpc ppc64el sparc s390x
Depends:
  ${shlibs:Depends},
  ${ocaml:Depends},
  ${misc:Depends},
  frama-c-base (= ${F:FramaCVersion}),
  why3,
  make
Suggests: libwhy-coq (= ${binary:Version})
Description: Software verification tool for C and Java
 This package contains Krakatoa and Jessie, two front-ends of the Why3
 platform for deductive program verification. Krakatoa deals with Java
 programs annotated in a variant of the The Java Modeling
 Language. Jessie deals with C programs annotated in the ANSI/ISO C
 Specification Language (ACSL).
 
Package: libwhy-coq
Architecture: all
Depends:
  ${misc:Depends},
  coq-${F:CoqABI}
Replaces:
  why (<< 2.18.dfsg-1)
Section: libdevel
Description: Why library for Coq
 This package contains all useful logical definitions, lemmas with their
 proofs and axioms used by Why. Users may need this package when proving
 some proof obligations in Coq.
