=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,16 @@
 export DH_VERBOSE=1
 
 include /usr/share/ocaml/ocamlvars.mk
+include /usr/share/coq/coqvars.mk
 
 WHYDIR    = $(CURDIR)/debian/why
-FRAMADIR  = $(WHYDIR)/$(shell frama-c -print-plugin-path)
+#FRAMADIR  = $(WHYDIR)/$(shell frama-c -print-plugin-path)
+FRAMADIR  = $(WHYDIR)/usr/lib/frama-c/plugins
 FRAMAVER  = $(shell dpkg-query -W -f='$${Version}' frama-c-base)
 VERSION   = $(shell cat Version | grep ^VERSION | cut -d= -f 2)
 export OCAMLINIT_SED += -e 's/@VERSION@/$(VERSION)/g'
 
-override_dh_auto_test:
-	: # requires coq
-	true
-
 override_dh_auto_configure:
-	autoconf
 	./configure \
 	    --host=$(DEB_HOST_GNU_TYPE) \
 	    --build=$(DEB_BUILD_GNU_TYPE) \
@@ -24,7 +21,6 @@
 	    --libdir=/usr/share \
 	    --mandir=\$${prefix}/share/man \
 	    --infodir=\$${prefix}/share/info \
-	    --enable-apron=yes \
 	    LDFLAGS="-Wl,-z,defs"
 
 override_dh_auto_clean:
@@ -32,7 +28,22 @@
 	[ ! -f Makefile.debian ] || $(MAKE) -f Makefile.debian clean
 	$(RM) -f lib/coq/*.glob
 
-override_dh_auto_install:
+override_dh_auto_build:
+	mkdir -p bin
+	dh_auto_build
+
+frama-c-plugin/META.frama-c-jessie:
+	echo 'description = "Frama-C Jessie plug-in"' > $@
+	echo -n 'version = "' >> $@
+	echo -n $(FRAMAVER) >> $@
+	echo '"' >> $@
+	echo 'requires = ""' >> $@
+	echo 'archive(byte) = "Jessie.cma"' >> $@
+	echo 'archive(native) = "Jessie.cmxa"' >> $@
+	echo 'archive(plugin) = "Jessie.cmxs"' >> $@
+	echo 'directory = ""' >> $@
+
+override_dh_auto_install: frama-c-plugin/META.frama-c-jessie
 	mkdir -p $(FRAMADIR)
 	$(MAKE) prefix=$(WHYDIR)/usr install \
 		LIBDIR=$(WHYDIR)/usr/share   \
@@ -44,12 +55,15 @@
 	-$(RM) -rf $(WHYDIR)/usr/share/jessie/
 	#Jessie.cma is installed, no need for this extra file
 	-$(RM) -f $(FRAMADIR)/Jessie.cmo
+	echo 'F:CoqABI=$(COQ_ABI)' >> debian/libwhy-coq.substvars
 	echo 'F:FramaCVersion=$(FRAMAVER)' >> debian/why.substvars
 
 override_dh_compress:
 	dh_compress -X.v -X.sx -X.why
 
+override_dh_auto_test:
+
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml --no-parallel
 
 #	dh_installchangelogs CHANGES
