=== debian/tests/control ===
Tests: frama-c+jessie+alt-ergo
Depends: why, alt-ergo

Tests: krakatoa+alt-ergo
Depends: why, alt-ergo
