=== debian/watch ===
version=4

opts="dversionmangle=s/\.dfsg[\.0-9]*$//" \
http://krakatoa.lri.fr http://why.lri.fr/download/why-([0-9a-z\.]*)\.tar\.gz
