## why 2.40

=== frama-c-plugin/Makefile ===
--- 
+++ 
@@ -47,6 +47,8 @@
 PLUGIN_HAS_MLI:=yes
 PLUGIN_BFLAGS:=-w Aer-3-6-41-44-45-48-50-52-57 $(JESSIE_INCLUDES)
 PLUGIN_OFLAGS:=-w Aer-3-6-41-44-45-48-50-52-57 $(JESSIE_INCLUDES)
+#PLUGIN_LINK_BFLAGS:=
+#PLUGIN_LINK_OFLAGS:=
 PLUGIN_EXTRA_BYTE+=$(JCCMO)
 PLUGIN_EXTRA_OPT+=$(JCCMX)
 #PLUGIN_DEPFLAGS:=$(JESSIE_INCLUDES)
