=== debian/changelog ===
why (2.40-3build1) disco; urgency=medium

  * No-change rebuild against new frama-c-base

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Nov 2018 20:48:16 -0800

why (2.40-3) unstable; urgency=medium

  * Update Architecture to native archs of ocaml 4.05:
    - drop armel (closes: #898493)
    - restore ppc64el, s390x (closes: #898518)
    - add ppc64

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 May 2018 10:55:19 +0200

why (2.40-2) unstable; urgency=medium

  * Add build-dependency libzarith-ocaml-dev.

 -- Ralf Treinen <treinen@debian.org>  Sat, 12 May 2018 14:36:22 +0200

why (2.40-1) unstable; urgency=medium

  * New upstream version.
  * Bumped build-dependency on frama-c-base to 20171101+sulfur.
  * Updated Vcs-* fields to salsa.
  * d/control: dropped architecture lpia.
  * Bumped build-dependency on ocaml, following upstream's INSTALL.
  * Dropped build-dependency on ocaml-best-compilers.
  * Standards-Version 4.1.4 (no change).
  * Debhelper compatibility level 11.

 -- Ralf Treinen <treinen@debian.org>  Sat, 12 May 2018 09:21:13 +0200
