=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: why
 Section: math
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Samuel Mimram <smimram@debian.org>,
   Mehdi Dogguy <mehdi@debian.org>,
   Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  debhelper (>= 10),
+  debhelper (>= 11),
   dh-ocaml (>= 0.9~),
-  ocaml-nox (>= 3.11.1-3~),
-  ocaml-best-compilers,
+  ocaml-nox (>= 4.02),
   camlp4,
   coq (>= 8.3~),
   libocamlgraph-ocaml-dev (>= 1.4~),
-  frama-c-base (>= 20170501+phosphorus+dfsg),
+  libzarith-ocaml-dev,
+  frama-c-base (>= 20171101+sulfur),
   camlidl,
   why3, why3-coq
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://krakatoa.lri.fr/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/why.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/why.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/why
+Vcs-Git: https://salsa.debian.org/ocaml-team/why.git
 
 Package: why
-Architecture: amd64 arm64 armhf hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 powerpc ppc64el sparc s390x
+Architecture: amd64 arm64 armhf hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 powerpc ppc64 ppc64el sparc s390x
 Depends:
   ${shlibs:Depends},
   ${ocaml:Depends},
